package cn.com.capcloud;

import cn.com.capcloud.core.system.user.User;
import cn.com.capcloud.core.system.user.UserService;
import org.junit.jupiter.api.Test;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

/**
 * @Author LiaoJiaHui
 * @Create 2025/3/26
 */
@SpringBootTest(webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
public class MyTest {

    private static final org.slf4j.Logger logger = LoggerFactory.getLogger(MyTest.class);

    @Autowired
    private UserService userService;

    @Test
    public void getMyName(){
        User user = userService.getUser(1);
        logger.info(user.getUserLoginName());
    }
}
